petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscBagSetFromOptions

Allows setting options from a bag

### Synopsis

    #include "petscbag.h"
    PetscErrorCode  PetscBagSetFromOptions(PetscBag bag)

Collective on PetscBag Many br

### Input Parameter

bag -the bag of values Many br

Many br

### See Also

PetscBag, PetscBagSetName(), PetscBagDestroy(), PetscBagLoad(), PetscBagGetData()
PetscBagRegisterReal(), PetscBagRegisterInt(), PetscBagRegisterBool(), PetscBagRegisterScalar() Many brPetscBagSetFromOptions(), PetscBagCreate(), PetscBagGetName(), PetscBagView(), PetscBagRegisterEnum() Many br

Level:beginner
Location:src/sys/classes/bag/bag.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex5.c.html
src/sys/examples/tutorials/ex5f90.F90.html
src/snes/examples/tutorials/ex7.c.html